! comma.cmd   Start from C
echo Create a 12-tone mean-tone scale by a list of commas
echo Comma parts can be given as positive or negative ratios or floats.
echo enter the comma
copy/pitch ? 1
equal 12
echo enter comma part C-G
calc/noout 3/2-$1^?
replace 7 $0
echo enter comma part G-D
calc/noout $0-4/3-$1^?
replace 2 $0
echo enter comma part D-A
calc/noout $0+3/2-$1^?
replace 9 $0
echo enter comma part A-E
calc/noout $0-4/3-$1^?
replace 4 $0
echo enter comma part E-B
calc/noout $0+3/2-$1^?
replace 11 $0
echo enter comma part B-F#
calc/noout $0-4/3-$1^?
replace 6 $0
echo enter comma part F#-C#
calc/noout $0-4/3-$1^?
replace 1 $0
echo enter comma part C#-G#
calc/noout $0+3/2-$1^?
replace 8 $0
echo enter comma part G#-Eb
calc/noout $0-4/3-$1^?
replace 3 $0
echo enter comma part Eb-Bb
calc/noout $0+3/2-$1^?
replace 10 $0
echo enter comma part Bb-F
calc/noout $0-4/3-$1^?
replace 5 $0
set maxdiff 0.002
echo enter prime limit
approx/constr/float ?
show scale
